MGD77HEADER(1)

NAME
mgd77header - Generate MGD77 header from data records

SYNOPSIS
mgd77header NGDC-id.a77 [ -Hheadervalues.txt ] [ -Mf|r ] [ -V ]

DESCRIPTION
mgd77header generates an MGD77 header by reading A77 data (i.e., the data record portion of MGD77 files), determines temporal and spatial extents, ten degree boxes crossed, and data columns present. Optionally, it can also read an input file consisting of header field values (-H) to be included in program output. Header field values determined from data and read from input are output in either MGD77 format (f) or as a list (r) (-M).

OPTIONS
No space between the option flag and the associated arguments.

-H  Obtain header field values from an input text file. Each row of the input file should consist of a header field name and its desired value, separated by a space. See below for a sample header file and for the full list of header field names.

-M  Choose between MGD77 formatted header output f or list r.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

Header Item Sample File:
Format_Acronym MGD77
Source_Institution SOEST - UNIV. OF HAWAII
Country USA
Platform_Name KILO MOANA
Platform_Type_Code 1
Platform_Type SHIP

Names of All MGD77 Header Fields
Survey_Identifier
Format_Acronym
Data_Center_File_Number
Parameters_Surveyed_Code
File_Creation_Year
File_Creation_Month
File_Creation_Day
Source_Institution
Country
Platform_Name
Platform_Type_Code
Platform_Type
Chief_Scientist
Project_Cruise_Leg
Funding
Survey_Departure_Year
Survey_Departure_Month
Survey_Departure_Day
Port_of_Departure
Survey_Arrival_Year
Survey_Arrival_Month
Survey_Arrival_Day
Port_of_Arrival
Navigation_Instrumentation
Geodetic_Datum_Position_Determination_Method
Bathymetry_Instrumentation
Bathymetry_Add_Forms_of_Data
Magnetics_Instrumentation
Magnetics_Add_Forms_of_Data
Gravity_Instrumentation
Gravity_Add_Forms_of_Data
Seismic_Instrumentation
Seismic_Data_Formats
Format_Type
Format_Description
Topmost_Latitude
Bottommost_Latitude
Leftmost_Longitude
Rightmost_Longitude
Bathymetry_Digitizing_Rate
Bathymetry_Sampling_Rate
Bathymetry_Assumed_Sound_Velocity
Bathymetry_Datum_Code
Bathymetry_Interpolation_Scheme
Magnetics_Digitizing_Rate
Magnetics_Sampling_Rate
Magnetics_Sensor_Tow_Distance
Magnetics_Sensor_Depth
Magnetics_Sensor_Separation
Magnetics_Ref_Field_Code
Magnetics_Ref_Field
Magnetics_Method_Applying_Res_Field
Gravity_Digitizing_Rate
Gravity_Sampling_Rate
Gravity_Theoretical_Formula_Code
Gravity_Theoretical_Formula
Gravity_Reference_System_Code
Gravity_Reference_System
Gravity_Corrections_Applied
Gravity_Departure_Base_Station
Gravity_Departure_Base_Station_Name
Gravity_Arrival_Base_Station
Gravity_Arrival_Base_Station_Name
Number_of_Ten_Degree_Identifiers
Ten_Degree_Identifier
Additional_Documentation_1
Additional_Documentation_2
Additional_Documentation_3
Additional_Documentation_4
Additional_Documentation_5
Additional_Documentation_6
Additional_Documentation_7

EXAMPLES
To generate an MGD77 header from A77 input, try

mgd77header km0201 -H kmheaderitems.txt -Mf > km0201.h77

SEE ALSO
mgd77list(1), mgd77manage(1), mgd77path(1), mgd77track(1) x2sys_init(1)

REFERENCES
Wessel, P., and W. H. F. Smith, 2014, The Generic Mapping Tools (GMT) version 4.5.12 Technical Reference & Cookbook, SOEST/NOAA.
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.
The Marine Geophysical Data Exchange Format - "MGD77", see http://www.ngdc.noaa.gov/mgg/dat/geodas/docs/mgd77.txt